Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse 4 » Troubles while migrate Eclipse Luna projects from 32 bit to 64 bit(Event Admin service is not available)
Troubles while migrate Eclipse Luna projects from 32 bit to 64 bit [message #1702859] Sun, 26 July 2015 13:09 Go to next message
Nataly Mogilka is currently offline Nataly MogilkaFriend
Messages: 24
Registered: August 2010
Location: Kazakhstan, Almaty
Junior Member
Hello friends, could you help me to fix a problem?

I worked on Eclipse Luna until recently and all my e4 projects worked well under Linux x86 (JDK7 and Eclipse were by 32 arch too). Now I migrate to a newer computer with Linux 64 bit. I install both JDK7 either Eclipse Luna 64 bit. But I can't run my RCP application. Got many errors like this:

Quote:
!ENTRY org.eclipse.e4.ui.workbench 4 0 2015-07-26 15:22:26.571 !MESSAGE Event Admin service is not available, unable to publish event org.osgi.service.event.Event [topic=org/eclipse/e4/ui/model/ui/Context/context/SET].

!ENTRY org.eclipse.e4.ui.workbench 4 0 2015-07-26 15:22:26.590 !MESSAGE Event Admin service is not available, unable to publish event org.osgi.service.event.Event [topic=org/eclipse/e4/ui/model/ui/UIElement/renderer/SET].

!ENTRY org.eclipse.e4.ui.workbench 4 0 2015-07-26 15:22:26.591 !MESSAGE Event Admin service is not available, unable to publish event org.osgi.service.event.Event [topic=org/eclipse/e4/ui/model/application/ApplicationElement/tags/ADD].

!ENTRY org.eclipse.e4.ui.workbench 4 0 2015-07-26 15:22:26.597 !MESSAGE Event Admin service is not available, unable to publish event org.osgi.service.event.Event [topic=org/eclipse/e4/ui/model/ui/UIElement/widget/SET].


and so on...
What does it mean and how to fix it? I created my projects on 4.x Eclipse version.

What I tried:
- to put projects to a fresh workspace
- to clear and remake Eclipse product dependences

But I got the same errors. Please suggest...
Re: Troubles while migrate Eclipse Luna projects from 32 bit to 64 bit [message #1702875 is a reply to message #1702859] Mon, 27 July 2015 07:03 Go to previous messageGo to next message
Thomas Schindl is currently offline Thomas SchindlFriend
Messages: 6363
Registered: July 2009
Senior Member
It looks like org.eclipse.equinox.event is not started or missing in
your launch config

Tom

On 26.07.15 15:09, Nataly Mogilka wrote:
> Hello friends, could you help me to fix a problem?
>
> I worked on Eclipse Luna until recently and all my e4 projects worked
> well under Linux x86 (JDK7 and Eclipse were by 32 arch too). Now I
> migrate to a newer computer with Linux 64 bit. I install both JDK7
> either Eclipse Luna 64 bit. But I can't run my RCP application. Got many
> errors like this:
>
> Quote:
>> !ENTRY org.eclipse.e4.ui.workbench 4 0 2015-07-26 15:22:26.571
>> !MESSAGE Event Admin service is not available, unable to publish event
>> org.osgi.service.event.Event
>> [topic=org/eclipse/e4/ui/model/ui/Context/context/SET].
>>
>> !ENTRY org.eclipse.e4.ui.workbench 4 0 2015-07-26 15:22:26.590
>> !MESSAGE Event Admin service is not available, unable to publish event
>> org.osgi.service.event.Event
>> [topic=org/eclipse/e4/ui/model/ui/UIElement/renderer/SET].
>>
>> !ENTRY org.eclipse.e4.ui.workbench 4 0 2015-07-26 15:22:26.591
>> !MESSAGE Event Admin service is not available, unable to publish event
>> org.osgi.service.event.Event
>> [topic=org/eclipse/e4/ui/model/application/ApplicationElement/tags/ADD].
>>
>> !ENTRY org.eclipse.e4.ui.workbench 4 0 2015-07-26 15:22:26.597
>> !MESSAGE Event Admin service is not available, unable to publish event
>> org.osgi.service.event.Event
>> [topic=org/eclipse/e4/ui/model/ui/UIElement/widget/SET].
>
>
> and so on...
> What does it mean and how to fix it? I created my projects on 4.x
> Eclipse version.
>
> What I tried:
> - to put projects to a fresh workspace
> - to clear and remake Eclipse product dependences
>
> But I got the same errors. Please suggest...
Re: Troubles while migrate Eclipse Luna projects from 32 bit to 64 bit [Resolved] [message #1702912 is a reply to message #1702875] Mon, 27 July 2015 11:04 Go to previous message
Nataly Mogilka is currently offline Nataly MogilkaFriend
Messages: 24
Registered: August 2010
Location: Kazakhstan, Almaty
Junior Member
Thank you very much, Tom! Everything worked out.
I added org.eclipse.equinox.event bundle into Required Plug-ins section of my launcher. And also added it to Product dependences
Previous Topic:Troubles after migrated from Luna to Mars
Next Topic:E4View & "Properties View"
Goto Forum:
  


Current Time: Mon Oct 23 10:08:20 GMT 2017

Powered by FUDForum. Page generated in 0.02558 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software